package ru.amse.kanzheleva.moviemaker.main.player;

import ru.amse.kanzheleva.moviemaker.movie.ColorRGB;
import ru.amse.kanzheleva.moviemaker.movie.Frame;
import ru.amse.kanzheleva.moviemaker.movie.IMovie;
import ru.amse.kanzheleva.moviemaker.movie.Movie;
import ru.amse.kanzheleva.moviemaker.movie.figures.Ellipse;
import ru.amse.kanzheleva.moviemaker.player.MovieBox;

public class Main {
	 public static void main(String[] args) {
		 IMovie movie = new Movie();
		 fillList(movie);
		 movie.setFPS(4);
		 
		 MovieBox movieBox = new MovieBox(movie, "Player");
		 movieBox.setVisible(true);
	 }
	 
	 private static void fillList(IMovie movie) {
	    	Ellipse ellipse1 = new Ellipse(new ColorRGB(255, 255, 0), new ColorRGB(5, 0, 167), 50, 50, 60, 60, 0, 30, 30);
	    	Frame newFrame1 = new Frame();
			newFrame1.addFigure(ellipse1);
			movie.addFrame(newFrame1);	
			
			Ellipse ellipse2 = new Ellipse(new ColorRGB(255, 255, 0), new ColorRGB(5, 20, 167), 60, 60, 60, 60, 0, 30, 30);
			Frame newFrame2 = new Frame();
			newFrame2.addFigure(ellipse2);
			movie.addFrame(newFrame2);
			
			Ellipse ellipse3 = new Ellipse(new ColorRGB(255, 255, 0), new ColorRGB(5, 40, 167), 70, 70, 60, 60, 0, 30, 30);
			Frame newFrame3 = new Frame();
			newFrame3.addFigure(ellipse3);
			movie.addFrame(newFrame3);
			
			Ellipse ellipse4 = new Ellipse(new ColorRGB(255, 255, 0), new ColorRGB(5, 60, 167), 80, 80, 60, 60, 0, 30, 30);
			Frame newFrame4 = new Frame();
			newFrame4.addFigure(ellipse4);
			movie.addFrame(newFrame4);
			
			Ellipse ellipse5 = new Ellipse(new ColorRGB(255, 255, 0), new ColorRGB(5, 80, 167), 90, 90, 60, 60, 0, 30, 30);
			Frame newFrame5 = new Frame();
			newFrame5.addFigure(ellipse5);
			movie.addFrame(newFrame5);
			
			Ellipse ellipse6 = new Ellipse(new ColorRGB(255, 255, 0), new ColorRGB(5, 100, 167), 100, 100, 60, 60, 0, 30, 30);
			Frame newFrame6 = new Frame();
			newFrame6.addFigure(ellipse6);
			movie.addFrame(newFrame6);
			
			Ellipse ellipse7 = new Ellipse(new ColorRGB(255, 255, 0), new ColorRGB(5, 120, 167), 110, 110, 60, 60, 0, 30, 30);
			Frame newFrame7 = new Frame();
			newFrame7.addFigure(ellipse7);
			movie.addFrame(newFrame7);
			
			Ellipse ellipse8 = new Ellipse(new ColorRGB(255, 255, 0), new ColorRGB(5, 140, 167), 120, 120, 60, 60, 0, 30, 30);
			Frame newFrame8 = new Frame();
			newFrame8.addFigure(ellipse8);
			movie.addFrame(newFrame8);
			
			Ellipse ellipse9 = new Ellipse(new ColorRGB(255, 255, 0), new ColorRGB(5, 160, 167), 130, 130, 60, 60, 0, 30, 30);
			Frame newFrame9 = new Frame();
			newFrame9.addFigure(ellipse9);
			movie.addFrame(newFrame9);
			
			Ellipse ellipse10 = new Ellipse(new ColorRGB(255, 255, 0), new ColorRGB(5, 180, 167), 140, 140, 60, 60, 0, 30, 30);
			Frame newFrame10 = new Frame();
			newFrame10.addFigure(ellipse10);
			movie.addFrame(newFrame10);
			
			Ellipse ellipse11 = new Ellipse(new ColorRGB(255, 255, 0), new ColorRGB(5, 200, 167), 150, 150, 60, 60, 0, 30, 30);
			Frame newFrame11 = new Frame();
			newFrame11.addFigure(ellipse11);
			movie.addFrame(newFrame11);
			
			Ellipse ellipse12 = new Ellipse(new ColorRGB(255, 255, 0), new ColorRGB(5, 220, 167), 160, 160, 60, 60, 0, 30, 30);
			Frame newFrame12 = new Frame();
			newFrame12.addFigure(ellipse12);
			movie.addFrame(newFrame12);
			
			Ellipse ellipse13 = new Ellipse(new ColorRGB(255, 255, 0), new ColorRGB(5, 240, 167), 170, 170, 60, 60, 0, 30, 30);
			Frame newFrame13 = new Frame();
			newFrame13.addFigure(ellipse13);
			movie.addFrame(newFrame13);
	    }    

}
